<?php


namespace app\api\controller;

use app\common\business\Category as CategoryBusiness;
use app\common\lib\Arr;

class Category extends ApiBase
{
    /**
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function index()
    {
        // 获取所有分类的内容
        try {
            $categorys = (new CategoryBusiness())->getNormalCategory();
        } catch (\Exception $e) {
            // 日志
            return show(config('status.success'), '内部异常', []);
        }
        if (!$categorys) {
            return show(config('status.success'), '数据为空', []);
        }

        $result = Arr::getTree($categorys);
        $result = Arr::sliceTreeArr($result);
        return show(config('status.success'), $result);
    }
}